mount_vfs_model_path	(current_mod_path.."/Shapes")
mount_vfs_liveries_path (current_mod_path.."/Liveries")
mount_vfs_texture_path  (current_mod_path.."/Textures/OH58D")
mount_vfs_texture_path  (current_mod_path.."/Textures/Liveries_US")
mount_vfs_texture_path  (current_mod_path.."/Textures/Liveries_HR")
mount_vfs_texture_path  (current_mod_path.."/Textures/Liveries_Other")
dofile(current_mod_path.."/OH58D_Weapons.lua")
dofile(current_mod_path.."/damage_definitions.lua")

local hellfireRestriction =
{
	{station = 1, loadout = {"OH58D_AGM_114_L1"}},
	{station = 1, loadout = {"OH58D_AGM_114_L"}},
}

OH58D =
{
	Name 				= 'OH58D',
	DisplayName			= _('OH-58D(R)'),

	Picture 			= "OH58D.png",
	Rate 				= 30,
	Shape 				= "OH58D",

	LandRWCategories =
    {
        [1] =
        {
           Name = "HelicopterCarrier",
        },
        [2] =
        {
           Name = "AircraftCarrier",
        },
    },

	TakeOffRWCategories =
    {
        [1] =
        {
            Name = "HelicopterCarrier",
        },
        [2] =
        {
           Name = "AircraftCarrier",
        },
    },

	shape_table_data 	=
	{
		{
			file  	 = 'OH58D';
			life  	 = 10;
			vis   	 = 3;
			desrt    = 'OH58D-oblomok';
			fire  	 = { 300, 2};
			--username = 'OH58D'; -- input
			index    =  WSTYPE_PLACEHOLDER;
			classname = "lLandPlane"; -- to show as static
			positioning = "BYNORMAL"; -- to show as static
		},
		{
			name  = "OH58D-oblomok";
			file  = "OH58D-oblomok";
			fire  = { 240, 2};
		},
	},

	mapclasskey 		= "P0091000096",
	attribute  			= {wsType_Air, wsType_Helicopter, wsType_Battleplane, WSTYPE_PLACEHOLDER ,"Attack helicopters",},
	Categories 			= {},
	date_of_introduction = 1983.0,
	encyclopediaAnimation =
	{
		args =
		{
			--[507] = 1.000000, -- Pilot's eyepiece
			--[517] = 1.000000, -- Copilot/Gunner's eyepiece
		},
	},
	--bigParkingRamp = false,
	-------------------------
	-------------------------
	length	=	10.20,
	height	=	2.77,
	rotor_height	=	2.68,
	rotor_diameter	=	10.668,
	blades_number	=	4,
	blade_area	=	1.46,
	rotor_RPM	=	395,
	tail_rotor_RPM	= 2381,
	engines_count	=	1,
	blade_chord	=	0.274,
	rotor_MOI	=	713,
	rotor_pos = 	{0.077,	1.878,	-0.0605},
	thrust_correction	=	0.75,
	--
	fuselage_Cxa0	=	0.5,
	fuselage_Cxa90	=	5.9,
	fuselage_area	=	2.3,
	--
	centering	=	0.0,
	tail_pos = 	{-6.237,	0.951,	0},
	tail_fin_area	=	0.96,
	tail_stab_area	=	1.0,
	------------------
	------------------
	M_empty	=	1901.5, -- d'après Sven -- 1739.5, -- 3355 Lbs = 1521.8 kg + 2 pilotes (2x240 Lbs)= 217.7 kg + weapons basic rack =
	M_nominal	=	2000,
	M_max	=	2358.68, -- 5200 Lbs = 2358.68
	M_fuel_max	=	333.69, -- 109.8 US gallons (dont 104 gallons utilisables) -- JP-8-- 6.7 Lbs/Gallon
	V_max	=	230, -- ~= 125 knt
	V_max_cruise	=	200, -- ~= 110 knt
	Vy_max	=	8.2,
	H_stat_max_L	=	4267,
	H_max = 4267, -- 14000 ft ~= 4267.2
	H_stat_max	=	4267,
	H_din_two_eng	=	4267,
	H_din_one_eng	=	4267,
	range	=	362,
	flight_time_typical	=	150,
	flight_time_maximum	=	180,
	-------------------------------------------------------------------
	-------------------------------------------------------------------
	-- 3dsmax lines
	-- main_gear_pos = 	{-0.277,	-0.85,	0.957},
	-- nose_gear_pos = 	{1.161,	-0.85,	0.957},
	main_gear_pos = 	{-0.277,	-0.89,	0.957},
	nose_gear_pos = 	{1.161,	-0.88,	0.957},
	-------------------------------------------------------------------
	-------------------------------------------------------------------
	lead_stock_main	=	-0.05,
	lead_stock_support	=	-0.05,
	--stores_number	=	2, -- not used anymore
	scheme	=	0,
	fire_rate	=	625,
	crew_size	=	2,
	engines_nozzles =
	{
		{
		pos     = {-0.968,1.457, 0.0},
		orientation   = {0.5,-0.05,0.0},
		diameter         = 1.0, -- 3.0,
		--exhaust_length_ab   = 3.0,
		--exhaust_length_ab_K = 0.5,
		engine_number   = 1  ,
		--smokiness_level = 0.2,
		}
	},

	crew_stations = "HumanOrchestra",
	crew_members =
	{
		[1] =
		{
			ejection_seat_name	=	0,
			drop_canopy_name	=	0,
			pos = 	{3,0.7,0.3},
			ejection_order    = 1,
			ejection_added_speed = {0,0,5},
			can_be_playable  = true,
			role = "pilot",
			role_display_name = _("Pilot"),
			canopy_arg			= 35,
		},
		[2] =
		{
			ejection_seat_name	=	0,
			drop_canopy_name	=	0,
			pos = 	{3,0.7,-0.3},
			ejection_order    = 2,
			ejection_added_speed = {0,0,-5},
			can_be_playable  = true,
			pilot_body_arg  = 529,
			--can_be_playable  = true,
			--role = "instructor",
			role_display_name = _("CPG"),
			canopy_arg			= 421,
		},
	},
	RCS = 2.0,
    detection_range_max = 0,
    IR_emission_coeff = 0.07,
	Vy_land_max	=	12.8,
	Ny_max	=	3.5,
	--radar_can_see_ground	=	true,
	sound_name	=	"Aircrafts/Engines/OH58DRotor",

	engine_data =
	{
		power_take_off	=	478.4,
		power_max	=	478.4,
		power_WEP	=	478.4,
		power_TH_k =
		{
			[1] = 	{-3.5519,	-25.327,	635.41},
			[2] = 	{-7.0142,	-13.897,	619.49},
			[3] = 	{-0.7768,	-41.46,	583.43},
			[4] = 	{0.94,	-34.912,	479.62},
		}, -- end of power_TH_k
		SFC_k = 	{0,	-0.0003171,	0.512},
		power_RPM_k = 	{-0.08639,	0.24277,	0.84175},
		power_RPM_min	=	9.1384,
		sound_name	=	"Aircrafts/Engines/OH58DEngine",
	}, -- end of engine_data

	cannon_sight_type	=	0,

	fires_pos =
	{
		[1] = 	{0,	0,	0},
		[2] = 	{-1.62,	-0.235,	0},
		[3] = 	{-1.62,	-0.235,	0},
		[4] = 	{-10.26,	0,	0},
		[5] = 	{-0.47,	-1.63,	0},
		[6] = 	{-1.46,	-1.63,	0},
		[7] = 	{0,	0,	0},
		[8] = 	{0,	0,	0},
		[9] = 	{0,	0,	0},
		[10] = 	{0,	0,	0},
		[11] = 	{0,	0,	0},
	}, -- end of fires_pos

	--helicopter_hook_pos={0.0, -1.0, 0.0},
	--h_max_gear_hook=3.0,

	Countermeasures =
	{
		IRCM = "AN/ALQ-157",   --  this is control availability of  feature for   AI aircraft
	},
	-- Countermeasures, M-130 airborne general purpose CMDS , Each dispenser module can accommodate 30 payloads of a single type with the complete system incorporating one or two dispensers. A dual dispenser, 60 payload configuration weighs 21.8 kg and M130 can be directly interfaced with a passive IR missile warner.
	passivCounterm =
	{
		CMDS_Edit = true,
		--ChaffNoEdit = true,
		SingleChargeTotal = 30,
		chaff = {default = 0, increment = 1, chargeSz = 1},
		flare = {default = 30, increment = 1, chargeSz = 1}
	},

	chaff_flare_dispenser =
	{
		[1] =
		{
			dir =  {0.951, -0.309, 0.0},
			pos =  {-0.84, -0.516, 0.016},
		},
	},

	CanopyGeometry = makeHelicopterCanopyGeometry(LOOK_AVERAGE, LOOK_AVERAGE, LOOK_AVERAGE),

	Sensors =
	{
		OPTIC = {"TVS", "TIS"},
		RWR = "Abstract RWR"
	},

	laserEquipment =
	{
		laserRangefinder = true,
		laserDesignator  = true,
	},

	--Hardpoint remove checkbox
	HardpointRacks_Edit = true,  --Enables remove hardpoints checkbox in mission editor.
	HardpointRacksWeight = 47.17, --Need to change this to weight of hardpoints and cables's. Guesstimate by Bernd and Scooter.
	HardpointRacksArg = 1000, --Visibility argument: frame 0-49 visible, 50-100 invisible.

	HumanRadio =
	{
		frequency = 116.0,
		editable = true,
		minFrequency = 30.0,
		maxFrequency = 399.975,
		modulation = MODULATION_AM,
	},

	panelRadio =
	{
		[1] =
		{
			name = _("UHF AM"),
			range = {min = 225, max = 399.975},
			channels =
			{
				[1] = {  name = _("Channel M"),		default = 260.0, modulation = _("AM"), connect = true},
				[2] = {  name = _("Channel 1"),		default = 315.5, modulation = _("AM")}, -- Tower LHA
				[3] = {  name = _("Channel 2"),		default = 315.0, modulation = _("AM")}, -- Approach A LHA
				[4] = {  name = _("Channel 3"),		default = 320.0, modulation = _("AM")}, -- Marshal LHA
				[5] = {  name = _("Channel 4"),		default = 315.1, modulation = _("AM")}, -- Approach B LHA
				[6] = {  name = _("Channel 5"),		default = 288.0, modulation = _("AM")}, -- Command
				[7] = {  name = _("Channel 6"),		default = 336.4, modulation = _("AM")}, -- ATC Ground
				[8] = {  name = _("Channel 7"),		default = 235.7, modulation = _("AM")}, -- ATC Tower
				[9] = {  name = _("Channel 8"),		default = 234.5, modulation = _("AM")}, -- ATC Radar
				[10] = { name = _("Channel 9"),		default = 385.0, modulation = _("AM")}, -- Emerald
				[11] = { name = _("Channel 10"),	default = 227.0, modulation = _("AM")}, -- Onyx
				[12] = { name = _("Channel 11"),	default = 320.0, modulation = _("AM")},
				[13] = { name = _("Channel 12"),	default = 330.0, modulation = _("AM")},
				[14] = { name = _("Channel 13"),	default = 340.0, modulation = _("AM")},
				[15] = { name = _("Channel 14"),	default = 350.0, modulation = _("AM")},
				[16] = { name = _("Channel 15"),	default = 360.0, modulation = _("AM")},
				[17] = { name = _("Channel 16"),	default = 325.0, modulation = _("AM")}, -- Jade
				[18] = { name = _("Channel 17"),	default = 282.0, modulation = _("AM")}, -- Sapphire
				[19] = { name = _("Channel 18"),	default = 246.0, modulation = _("AM")}, -- Pearl
				[20] = { name = _("Channel 19"),	default = 235.0, modulation = _("AM")}, -- Ruby
			}
		},
		[2] =
		{
			name = _("VHF AM"),
			range = {min = 116, max = 151.975},
			channels =
			{
				[1] = {  name = _("Channel M"),		default = 131.0, modulation = _("AM")},
				[2] = {  name = _("Channel 1"),		default = 142.1, modulation = _("AM")}, -- JTAC 1
				[3] = {  name = _("Channel 2"),		default = 142.2, modulation = _("AM")}, -- JTAC 2
				[4] = {  name = _("Channel 3"),		default = 142.3, modulation = _("AM")}, -- JTAC 3
				[5] = {  name = _("Channel 4"),		default = 142.4, modulation = _("AM")}, -- JTAC 4
				[6] = {  name = _("Channel 5"),		default = 142.5, modulation = _("AM")}, -- JTAC 5
				[7] = {  name = _("Channel 6"),		default = 148.0, modulation = _("AM")}, -- Bronze
				[8] = {  name = _("Channel 7"),		default = 150.0, modulation = _("AM")}, -- Gold
				[9] = {  name = _("Channel 8"),		default = 142.0, modulation = _("AM")}, -- Iron
				[10] = { name = _("Channel 9"),		default = 139.5, modulation = _("AM")}, -- Nickle
				[11] = { name = _("Channel 10"),	default = 127.5, modulation = _("AM")}, -- Copper
				[12] = { name = _("Channel 11"),	default = 142.6, modulation = _("AM")}, -- JTAC 6
				[13] = { name = _("Channel 12"),	default = 142.7, modulation = _("AM")}, -- JTAC 7
				[14] = { name = _("Channel 13"),	default = 142.8, modulation = _("AM")}, -- JTAC 8
				[15] = { name = _("Channel 14"),	default = 142.0, modulation = _("AM")}, 
				[16] = { name = _("Channel 15"),	default = 144.0, modulation = _("AM")},
				[17] = { name = _("Channel 16"),	default = 146.0, modulation = _("AM")},
				[18] = { name = _("Channel 17"),	default = 148.0, modulation = _("AM")},
				[19] = { name = _("Channel 18"),	default = 150.0, modulation = _("AM")},
				[20] = { name = _("Channel 19"),	default = 151.0, modulation = _("AM")},
			}
		},
		[3] =
		{
			name = _("VHF FM1"),
			range = {min = 30.0, max = 87.975},
			channels =
			{
				[1] = { name = _("Channel C"),		default = 30.0, modulation = _("FM")}, 
				[2] = { name = _("Channel M"),		default = 40.4, modulation = _("FM")},
				[3] = { name = _("Channel 1"),		default = 37.1, modulation = _("FM")}, -- Flight 1
				[4] = { name = _("Channel 2"),		default = 37.2, modulation = _("FM")}, -- Flight 2
				[5] = { name = _("Channel 3"),		default = 37.3, modulation = _("FM")}, -- Flight 3
				[6] = { name = _("Channel 4"),		default = 37.4, modulation = _("FM")}, -- Flight 4
				[7] = { name = _("Channel 5"),		default = 37.5, modulation = _("FM")}, -- Flight 5
				[8] = { name = _("Channel 6"),		default = 37.6, modulation = _("FM")}, -- Flight 6
				[9] = { name = _("Channel 7"),		default = 37.7, modulation = _("FM")}, -- Flight 7
				[10] = { name = _("Channel 8"),		default = 37.8, modulation = _("FM")}, -- Flight 8
				[11] = { name = _("Channel 9"),		default = 30.0, modulation = _("FM")}, -- Leather
				[12] = { name = _("Channel 10"),	default = 37.0, modulation = _("FM")}, -- Squadron Common
				[13] = { name = _("Channel 11"),	default = 60.0, modulation = _("FM")},
				[14] = { name = _("Channel 12"),	default = 62.0, modulation = _("FM")},
				[15] = { name = _("Channel 13"),	default = 66.0, modulation = _("FM")},
				[16] = { name = _("Channel 14"),	default = 68.0, modulation = _("FM")},
				[17] = { name = _("Channel 15"),	default = 72.0, modulation = _("FM")},
				[18] = { name = _("Channel 16"),	default = 74.0, modulation = _("FM")},
				[19] = { name = _("Channel 17"),	default = 78.0, modulation = _("FM")},
				[20] = { name = _("Channel 18"),	default = 80.0, modulation = _("FM")},
				[21] = { name = _("Channel 19"),	default = 84.0, modulation = _("FM")},
			}
		},
		[4] =
		{
			name = _("VHF FM2"),
			range = {min = 30.0, max = 87.975},
			channels =
			{
				[1] = { name = _("Channel C"),		default = 30.0, modulation = _("FM")},
				[2] = { name = _("Channel M"),		default = 40.4, modulation = _("FM")},
				[3] = { name = _("Channel 1"),		default = 37.1, modulation = _("FM")}, -- Flight 1
				[4] = { name = _("Channel 2"),		default = 37.2, modulation = _("FM")}, -- Flight 2
				[5] = { name = _("Channel 3"),		default = 37.3, modulation = _("FM")}, -- Flight 3
				[6] = { name = _("Channel 4"),		default = 37.4, modulation = _("FM")}, -- Flight 4
				[7] = { name = _("Channel 5"),		default = 37.5, modulation = _("FM")}, -- Flight 5
				[8] = { name = _("Channel 6"),		default = 37.6, modulation = _("FM")}, -- Flight 6
				[9] = { name = _("Channel 7"),		default = 37.7, modulation = _("FM")}, -- Flight 7
				[10] = { name = _("Channel 8"),		default = 37.8, modulation = _("FM")}, -- Flight 8
				[11] = { name = _("Channel 9"),		default = 30.0, modulation = _("FM")}, -- Leather
				[12] = { name = _("Channel 10"),	default = 37.0, modulation = _("FM")}, -- Squadron Common
				[13] = { name = _("Channel 11"),	default = 60.0, modulation = _("FM")},
				[14] = { name = _("Channel 12"),	default = 62.0, modulation = _("FM")},
				[15] = { name = _("Channel 13"),	default = 66.0, modulation = _("FM")},
				[16] = { name = _("Channel 14"),	default = 68.0, modulation = _("FM")},
				[17] = { name = _("Channel 15"),	default = 72.0, modulation = _("FM")},
				[18] = { name = _("Channel 16"),	default = 74.0, modulation = _("FM")},
				[19] = { name = _("Channel 17"),	default = 78.0, modulation = _("FM")},
				[20] = { name = _("Channel 18"),	default = 80.0, modulation = _("FM")},
				[21] = { name = _("Channel 19"),	default = 84.0, modulation = _("FM")},
			}
		},
	},

	EPLRS = true,

-------------------------------
-- Guns
-------------------------------
	Guns = {CPG_M4_VR({}), CPG_M4_NON_VR({})},

------------------------
-- Planned failures
------------------------
	Failures =
	{
		{ id = 'engine',			label = _('Engine failure'),			enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'LMFD',				label = _('Left MFD failure'),			enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'RMFD',				label = _('Right MFD failure'),			enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'MMSCamera',			label = _('MMS failure'),				enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'Inverter',			label = _('Inverter failure'),			enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'Battery',			label = _('Battery failure'),			enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'Rectifier Unit',	label = _('Rectifier unit failure'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'AC Generator',		label = _('AC Generator failure'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'DC Generator',		label = _('DC Generator failure'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'Transmission',		label = _('Transmission'),				enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'Hydraulic Reserve',	label = _('Hydraulic reserve leak'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'Tail Rotor',		label = _('Tail rotor gearbox'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'Engine Oil',		label = _('Engine oil tank leak'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
	},
--------------------------------
-- Pylons
--------------------------------
	Pylons =
	{
		-- Left
		pylon(1, 0, 0.323, -0.258, -1.315,
		{
			arg = 901, arg_value = 0.50, use_full_connector_position = true, DisplayName = "Left",
		},
		{
			{ CLSID = "OH58D_AGM_114_L1", arg_value = 0.20, connector = "PNT_HLP_HF_L_UWP", },
			{ CLSID = "OH58D_AGM_114_L", arg_value = 0.20, connector = "PNT_HLP_HF_L_UWP", },
			{ CLSID = "OH58D_FIM_92_L", arg_value = 0.30, connector = "PNT_HLP_ATAS_L_UWP" },
			{ CLSID = "OH58D_M3P_L100", arg_value = 0.40, connector = "PNT_HLP_M3P_L_UWP" },
			{ CLSID = "OH58D_M3P_L200", arg_value = 0.40, connector = "PNT_HLP_M3P_L_UWP" },
			{ CLSID = "OH58D_M3P_L300", arg_value = 0.40, connector = "PNT_HLP_M3P_L_UWP" },
			{ CLSID = "OH58D_M3P_L400", arg_value = 0.40, connector = "PNT_HLP_M3P_L_UWP" },
			{ CLSID = "OH58D_M3P_L500", arg_value = 0.40, connector = "PNT_HLP_M3P_L_UWP" },

			{ CLSID = "{M260_M151}", arg_value = 0.10, connector = "PNT_HLP_RP_L_UWP" }, -- H10
			{ CLSID = "{M260_M156}", arg_value = 0.10, connector = "PNT_HLP_RP_L_UWP" }, -- WP TARGET MARKING
			{ CLSID = "{M260_M229}", arg_value = 0.10, connector = "PNT_HLP_RP_L_UWP" }, -- H17
			{ CLSID = "{M260_M257}", arg_value = 0.10, connector = "PNT_HLP_RP_L_UWP" }, -- ILLUM
			{ CLSID = "{M260_M259}", arg_value = 0.10, connector = "PNT_HLP_RP_L_UWP" }, -- WP SCREEN
			{ CLSID = "{M260_M274}", arg_value = 0.10, connector = "PNT_HLP_RP_L_UWP" }, -- PRACTICE SMOKE

			{ CLSID = "{M260_A_M151_B_M156}", arg_value = 0.10, connector = "PNT_HLP_RP_L_UWP" }, -- H10/WP TARGET MARKING
			{ CLSID = "{M260_A_M151_B_M257}", arg_value = 0.10, connector = "PNT_HLP_RP_L_UWP" }, -- H10/ILLUM
			{ CLSID = "{M260_A_M151_B_M259}", arg_value = 0.10, connector = "PNT_HLP_RP_L_UWP" }, -- H10/WP SCREEN

			{ CLSID = "{M260_A_M229_B_M156}", arg_value = 0.10, connector = "PNT_HLP_RP_L_UWP" }, -- H17/WP TARGET MARKING
			{ CLSID = "{M260_A_M229_B_M257}", arg_value = 0.10, connector = "PNT_HLP_RP_L_UWP" }, -- H17/ILLUM
			{ CLSID = "{M260_A_M229_B_M259}", arg_value = 0.10, connector = "PNT_HLP_RP_L_UWP" }, -- H17/WP SCREEN

			{ CLSID = "{M260_APKWS_M151}", arg_value = 0.10, connector = "PNT_HLP_RP_L_UWP" }, -- H10 LG
		}),
		pylon(2, 2, 1.085 + 0.283, 0.62 + -0.526, 0.353 - 1.188,
		{
			DisplayName = "Dash L",
			FiX = 61,16,
			FiY = 17,039,
			FiZ = 130,225,
		},
		{
			{ CLSID = "OH58D_Red_Smoke_Grenade" },
			{ CLSID = "OH58D_Blue_Smoke_Grenade" },
			{ CLSID = "OH58D_Green_Smoke_Grenade" },
			{ CLSID = "OH58D_Yellow_Smoke_Grenade" },
			{ CLSID = "OH58D_Violet_Smoke_Grenade" },
			{ CLSID = "OH58D_White_Smoke_Grenade" },
		}),
		pylon(3, 2, 1.085 + 0.283, 0.62 + -0.526, 0.353 - 1.188,
		{
			DisplayName = "Dash C",
			FiX = 61,16,
			FiY = 17,039,
			FiZ = 130,225,
		},
		{
			{ CLSID = "OH58D_Red_Smoke_Grenade" },
			{ CLSID = "OH58D_Blue_Smoke_Grenade" },
			{ CLSID = "OH58D_Green_Smoke_Grenade" },
			{ CLSID = "OH58D_Yellow_Smoke_Grenade" },
			{ CLSID = "OH58D_Violet_Smoke_Grenade" },
			{ CLSID = "OH58D_White_Smoke_Grenade" },
		}),
		pylon(4, 2, 1.085 + 0.283, 0.62 + -0.526, 0.353 - 1.188,
		{
			DisplayName = "Dash R",
			FiX = 61,16,
			FiY = 17,039,
			FiZ = 130,225,
		},
		{
			{ CLSID = "OH58D_Red_Smoke_Grenade" },
			{ CLSID = "OH58D_Blue_Smoke_Grenade" },
			{ CLSID = "OH58D_Green_Smoke_Grenade" },
			{ CLSID = "OH58D_Yellow_Smoke_Grenade" },
			{ CLSID = "OH58D_Violet_Smoke_Grenade" },
			{ CLSID = "OH58D_White_Smoke_Grenade" },
		}),
		-- Right
		pylon(5, 0, 0.323, -0.258, 1.315,
		{
			arg = 900, arg_value = 0.50, use_full_connector_position = true, DisplayName = "Right",
		},
		{
			-- If using Hellfire in combination with another weapon type, HF MUST be on right side
			{ CLSID = "OH58D_AGM_114_R1", arg_value = 0.20, connector = "PNT_HLP_HF_R_UWP" },
			{ CLSID = "OH58D_AGM_114_R", arg_value = 0.20, connector = "PNT_HLP_HF_R_UWP" },
			{ CLSID = "OH58D_FIM_92_R", arg_value = 0.30, connector = "PNT_HLP_ATAS_R_UWP", forbidden = hellfireRestriction },

			{ CLSID = "{M260_M151}", arg_value = 0.10, connector = "PNT_HLP_RP_R_UWP", forbidden = hellfireRestriction }, -- H10
			{ CLSID = "{M260_M156}", arg_value = 0.10, connector = "PNT_HLP_RP_R_UWP", forbidden = hellfireRestriction }, -- WP TARGET MARKING
			{ CLSID = "{M260_M229}", arg_value = 0.10, connector = "PNT_HLP_RP_R_UWP", forbidden = hellfireRestriction }, -- H17
			{ CLSID = "{M260_M257}", arg_value = 0.10, connector = "PNT_HLP_RP_R_UWP", forbidden = hellfireRestriction }, -- ILLUM
			{ CLSID = "{M260_M259}", arg_value = 0.10, connector = "PNT_HLP_RP_R_UWP", forbidden = hellfireRestriction }, -- WP SCREEN
			{ CLSID = "{M260_M274}", arg_value = 0.10, connector = "PNT_HLP_RP_R_UWP", forbidden = hellfireRestriction }, -- PRACTICE SMOKE

			{ CLSID = "{M260_A_M151_B_M156}", arg_value = 0.10, connector = "PNT_HLP_RP_R_UWP", forbidden = hellfireRestriction }, -- H10/WP TARGET MARKING
			{ CLSID = "{M260_A_M151_B_M257}", arg_value = 0.10, connector = "PNT_HLP_RP_R_UWP", forbidden = hellfireRestriction }, -- H10/ILLUM
			{ CLSID = "{M260_A_M151_B_M259}", arg_value = 0.10, connector = "PNT_HLP_RP_R_UWP", forbidden = hellfireRestriction }, -- H10/WP SCREEN

			{ CLSID = "{M260_A_M229_B_M156}", arg_value = 0.10, connector = "PNT_HLP_RP_R_UWP", forbidden = hellfireRestriction }, -- H17/WP TARGET MARKING
			{ CLSID = "{M260_A_M229_B_M257}", arg_value = 0.10, connector = "PNT_HLP_RP_R_UWP", forbidden = hellfireRestriction }, -- H17/ILLUM
			{ CLSID = "{M260_A_M229_B_M259}", arg_value = 0.10, connector = "PNT_HLP_RP_R_UWP", forbidden = hellfireRestriction }, -- H17/WP SCREEN

			{ CLSID = "{M260_APKWS_M151}", arg_value = 0.10, connector = "PNT_HLP_RP_R_UWP", forbidden = hellfireRestriction }, -- H10 LG
		}),
	},

	Tasks =
	{
		aircraft_task(CAP), -- 11
		aircraft_task(CAS), -- 31
        aircraft_task(GroundAttack), -- 32
        aircraft_task(AFAC), -- 16
        aircraft_task(Escort), -- 18
        aircraft_task(Transport), -- 35
		aircraft_task(AntishipStrike), -- 30
		aircraft_task(Reconnaissance), -- 17
    },
	DefaultTask = aircraft_task(AFAC),

	Damage = verbose_to_dmg_properties(
	{
		["NOSE_CENTER"]				= {args = {170}, critical_damage = 2}, -- center nose
		["AIR_BRAKE_L"]				= {args = {-1}, critical_damage = 2}, -- skid
		["AIR_BRAKE_R"]				= {args = {-1}, critical_damage = 2}, -- skid

		["BLADE_1_IN"]        		= {args = {160}, critical_damage = 2, droppable = true, droppable_shape = "oh58d_dmg_blade"},
		["BLADE_2_IN"]       		= {args = {161}, critical_damage = 2, droppable = true, droppable_shape = "oh58d_dmg_blade"},
		["BLADE_3_IN"]       		= {args = {162}, critical_damage = 2, droppable = true, droppable_shape = "oh58d_dmg_blade"},
		["BLADE_4_IN"]        		= {args = {163}, critical_damage = 2, droppable = true, droppable_shape = "oh58d_dmg_blade"},

		["CABIN_BOTTOM"]      		= {args = {155}, critical_damage = 2}, -- belly
		["CABIN_LEFT_SIDE"]  		= {args = {150}, critical_damage = 2}, -- left door
		["CABIN_RIGHT_SIDE"]  		= {args = {151}, critical_damage = 2}, -- right door
		["COCKPIT"]        			= {args = {156}, critical_damage = 4}, -- forward cowling
		["CREW_1"]       			= {args = {-1}, critical_damage = 2},
		["CREW_2"]       			= {args = {-1}, critical_damage = 2},
		["ENGINE_L"]        		= {args = {152}, critical_damage = 2}, -- engine (internal)
		["FUEL_TANK_B"]       		= {args = {-1}, critical_damage = 2},
		["FUSELAGE_BOTTOM"]       	= {args = {50}, critical_damage = 2}, -- belly rear
		["FUSELAGE_LEFT_SIDE"] 		= {args = {150, 50}, critical_damage = 2, construction = {durability = 0.79, skin = "Aluminum", spar = "Truss"}, droppable = false}, -- left fuselage
		["FUSELAGE_RIGHT_SIDE"]   	= {args = {151, 50}, critical_damage = 2, construction = {durability = 0.79, skin = "Aluminum", spar = "Truss"}, droppable = false}, -- right fuselage
		["FUSELAGE_TOP"]    		= {args = {152, 50}, critical_damage = 4, construction = {durability = 0.79, skin = "Aluminum", spar = "Truss"}, droppable = false}, -- center cowling
		["KEEL_CENTER"]     		= {args = {166}, critical_damage = 2}, -- rear cowling (and wire cutters??)
		["KEEL_L"]        			= {args = {245}, critical_damage = 2}, -- left tail boom
		["KEEL_OUT"]        		= {args = {159}, critical_damage = 2}, -- tail
		["KEEL_R"]        			= {args = {245}, critical_damage = 2}, -- right tail boom
		["LEFT_GEAR_BOX"]   		= {args = {50}, critical_damage = 2}, -- left lower cockpit glass
		["MTG_L_BOTTOM"]   			= {critical_damage = 2, args = {151}, construction = {durability = 0.53, skin = "Aluminum"},},
		["MTG_R_BOTTOM"]   			= {critical_damage = 2, args = {151}, construction = {durability = 0.53, skin = "Aluminum"},},
		["NOSE_LEFT_SIDE"]  		= {args = {170}, critical_damage = 2}, -- left nose
		["NOSE_RIGHT_SIDE"] 		= {args = {170}, critical_damage = 2}, -- right nose
		["RADAR"]        			= {args = {169}, critical_damage = 2}, -- mms
		["RIGHT_GEAR_BOX"]  		= {args = {-1}, critical_damage = 2}, -- right lower cockpit glass
		["ROTOR"]        			= {args = {-1}, critical_damage = 2},
		["STABILIZATOR_L"]  		= {args = {-1}, critical_damage = 2},
		["TAIL"]        			= {args = {-1}, critical_damage = 2},
		["TAIL_BOTTOM"]     		= {args = {-1}, critical_damage = 2}, -- tail rotor gearbox
		["TAIL_TOP"]        		= {args = {-1}, critical_damage = 2}, -- tail boom xmsn
		["WING_L_IN"]       		= {args = {-1}, critical_damage = 2}, -- left cockpit glass
		["WING_L_OUT"]      		= {args = {225}, critical_damage = 2}, -- left stabilizer
		["WING_L_PART_IN"]  		= {args = {147, 50}, critical_damage = 2}, -- left rear fuselage
		["WING_R_IN"]       		= {args = {-1}, critical_damage = 2}, -- right cockpit glass
		["WING_R_OUT"]      		= {args = {215}, critical_damage = 2}, -- right stabilizer
		["WING_R_PART_IN"]  		= {args = {148, 50}, critical_damage = 2}, -- right rear fuselage

		["AC_GEN"]					= { args = {-1}, critical_damage = 1},
		["DC_GEN"]					= { args = {-1}, critical_damage = 1},
		["ENG_OIL"]					= { args = {-1}, critical_damage = 3},
		["XMSN"]					= { args = {-1}, critical_damage = 1},
		["HYD_RES"]					= { args = {-1}, critical_damage = 1},
		["CYCLIC_R"]				= { args = {-1}, critical_damage = 1},
		["CYCLIC_C"]				= { args = {-1}, critical_damage = 1},
		["CYCLIC_L"]				= { args = {-1}, critical_damage = 1},
		["ENGINE_ECU"]				= { args = {-1}, critical_damage = 1},
		["INVERTER"]				= { args = {-1}, critical_damage = 1},
		["RECT_UNIT"]				= { args = {-1}, critical_damage = 1},
		["FRONT"]					= { args = {-1}, critical_damage = 2},
		["MMS_CPS"]					= { args = {-1}, critical_damage = 1},
		["MMS_SP"]					= { args = {-1}, critical_damage = 1},
		["RMFD_CPU"]				= { args = {-1}, critical_damage = 1},
		["LMFD_CPU"]				= { args = {-1}, critical_damage = 1},
		["FRONT_GEAR_BOX"] 			= { args = {-1}, critical_damage = 2},
		
		-- Custom ground colliders. Animations are handled in code.
		-- Uses fixed wing damage cell definitions as custom values don't work
		["ENGINE_1"]	= { args = {-1}, critical_damage = 1}, -- G_CABIN_BOTTOM
		["ENGINE_2"]	= { args = {-1}, critical_damage = 1}, -- G_CABIN_DOOR_LEFT
		["ENGINE_3"]	= { args = {-1}, critical_damage = 1}, -- G_CABIN_DOOR_RIGHT
		["ENGINE_4"]	= { args = {-1}, critical_damage = 1}, -- G_CANOPY_LEFT
		["ENGINE_5"]	= { args = {-1}, critical_damage = 1}, -- G_CANOPY_RIGHT
		["ENGINE_6"]	= { args = {-1}, critical_damage = 1}, -- G_COWLING_FWD
		["ENGINE_7"]	= { args = {-1}, critical_damage = 1}, -- G_COWLING_MID
		["ENGINE_8"]	= { args = {-1}, critical_damage = 1}, -- G_COWLING_REAR
		["WING_L_00"]	= { args = {-1}, critical_damage = 1}, -- G_DOOR_LEFT
		["WING_L_01"]	= { args = {-1}, critical_damage = 1}, -- G_DOOR_RIGHT
		["WING_L_02"]	= { args = {-1}, critical_damage = 1}, -- G_FUSELAGE_BOTTOM
		["WING_L_03"]	= { args = {-1}, critical_damage = 1}, -- G_FUSELAGE_LEFT
		["WING_L_04"]	= { args = {-1}, critical_damage = 1}, -- G_FUSELAGE_RIGHT
		["WING_L_05"]	= { args = {-1}, critical_damage = 1}, -- G_FUSELAGE_REAR_LEFT
		["WING_L_06"]	= { args = {-1}, critical_damage = 1}, -- G_FUSELAGE_REAR_RIGHT
		["WING_L_07"]	= { args = {-1}, critical_damage = 1}, -- G_MMS
		["WING_L_08"]	= { args = {-1}, critical_damage = 1}, -- G_NOSE_CENTER
		["WING_L_09"]	= { args = {-1}, critical_damage = 1}, -- G_NOSE_LEFT
		["WING_L_10"]	= { args = {-1}, critical_damage = 1}, -- G_NOSE_RIGHT
		["WING_L_11"]	= { args = {-1}, critical_damage = 1}, -- G_ROTOR_MAST
		["WING_R_00"]	= { args = {-1}, critical_damage = 1}, -- G_SKIDS
		["WING_R_01"]	= { args = {-1}, critical_damage = 1}, -- G_STAB_LEFT
		["WING_R_02"]	= { args = {-1}, critical_damage = 1}, -- G_STAB_RIGHT
		["WING_R_03"]	= { args = {-1}, critical_damage = 1}, -- G_TAIL
		["WING_R_04"]	= { args = {-1}, critical_damage = 1}, -- G_TAIL_BOOM
		["WING_R_05"]	= { args = {-1}, critical_damage = 1}, -- G_TAIL_BOOM_REAR
		["WING_R_06"]	= { args = {-1}, critical_damage = 1}, -- G_TAIL_SKID
		["WING_R_07"]	= { args = {-1}, critical_damage = 1}, -- G_WSP_LOWER
		["WING_R_08"]	= { args = {-1}, critical_damage = 1}, -- G_WSP_UPPER
	}),

	DamageParts =
	{
		-- [1] = "OH58D-stabd",
		-- [2] = "OH58D-stabg",
		-- [3] = "NOSE",
		-- [4] = "OH58D-tail", -- tail
		[5] = "oh58d_dmg_blade", -- blade
	},

	--[[
		LIGHT COLLECTION DATA
		WOLALIGHT_STROBES          = 1		--White strobe anti-collision lights.--
		WOLALIGHT_SPOTS            = 2		--Take-off and landing high power headlights.--
		WOLALIGHT_LANDING_LIGHTS   = 2		--Take-off and landing high power headlights.--
		WOLALIGHT_NAVLIGHTS        = 3		--P-Z colored navigation (position) wingtip lights..--
		WOLALIGHT_FORMATION_LIGHTS = 4		--Formation / Logo lights.--
		WOLALIGHT_TIPS_LIGHTS      = 5		--Helicopter-specific: rotor anti-collision tips lights.--
		WOLALIGHT_TAXI_LIGHTS      = 6		--Taxi headlights.--
		WOLALIGHT_BEACONS          = 7		--Rotary anti-collision lights.--
		WOLALIGHT_CABIN_BOARDING   = 8		--Cabin incandescence illumination.--
		WOLALIGHT_CABIN_NIGHT      = 9		--Cabin night time (UV) illumination.--
		WOLALIGHT_REFUEL_LIGHTS    = 10		--Refuel apparatus illumination.--
		WOLALIGHT_PROJECTORS       = 11		--Search lights, direction-controlled.--
		WOLALIGHT_AUX_LIGHTS       = 12		--Signal lights, also all aux. lights not fitting into other categories.--
		WOLALIGHT_IR_FORMATION     = 13		--IR formation strips. Currently not implemented due to engine NVG limitations.--
	]]--
	lights_data =
	{
		typename = "collection",
		lights =
		{
    		[WOLALIGHT_STROBES] =
			{
				typename = "collection",
				lights =
				{
					{
						typename = "argumentlight",
						connector = "TOP_BEACON",
						argument = 193,
						controller = "Strobe",
						period = 1.7,
						flash_time = 0.05,
						phase_shift = 0.0,
					},
					{
						typename = "argumentlight",
						connector = "BOTTOM_BEACON",
						argument = 194,
						controller = "Strobe",
						period = 1.7,
						flash_time = 0.05,
						phase_shift = 0.5,
					}
				}
			},
			[WOLALIGHT_LANDING_LIGHTS]	=
			{
				typename = "collection",
				lights =
				{
					{
						typename = "argumentlight",
						argument  = 208,
					},
				}
			},
			[WOLALIGHT_NAVLIGHTS]	=
			{
				typename = "collection",
				lights =
				{
					{
						typename = "argumentlight",
						argument  = 190,
					},
					{
						typename = "argumentlight",
						argument  = 191,
					},
					{
						typename = "argumentlight",
						argument  = 192,
					}
				}
			},
			[WOLALIGHT_CABIN_NIGHT]	=
			{
				typename = "collection",
				lights =
				{
					{
						typename = "argumentlight",
						argument  = 206, -- Instrument Lighting
					},
					{
						typename = "argumentlight",
						argument  = 207, -- Console Lighting
					},
					{
						typename = "argumentlight",
						argument  = 200, -- LMFD Green Vis
					},
					{
						typename = "argumentlight",
						argument  = 201, -- LMFD Green Intensity
						exposure = {{22}}
					},
					{
						typename = "argumentlight",
						argument  = 202, -- RMFD Green Vis
					},
					{
						typename = "argumentlight",
						argument  = 203, -- RMFD Green Intensity
						exposure = {{22}}
					},
				}
			},
			[WOLALIGHT_CABIN_BOARDING]	=
			{
				typename = "collection",
				lights =
				{
					{
						typename = "argumentlight",
						argument  = 211, -- Floodlight State
					},
					{
						typename = "argumentlight",
						argument  = 26, -- Floodlight Intensity
					},
				}
			},
		}
	},

	net_animation =
	{
		11,12,15,17,34,35,38,46,60,190,191,192,193,194,195,196,197,198,199,200,201,202,203,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528, 
		836, -- Airbags
		880,881,882,
		910, -- flap dummy
		911, -- hangfire dummies
		912, -- hangfire dummies
		913, -- hangfire dummies
		914, -- hangfire dummies
		930, -- on/off fl
		931, -- anim fl
		2000, -- dummy
	},

	-- Allows adding nav points in ME
	Navpoint_Panel = true,

	AddPropAircraft =
	{
		{
			id = "NetCrewControlPriority",
			control = 'comboList',
			label = _('Aircraft Control Priority'),
			playerOnly = true,
			values =
			{
				{id =  0, dispName = _("Pilot")},
				{id =  1, dispName = _("Copilot")},
				{id = -1, dispName = _("Ask Always")},
				{id = -2, dispName = _("Equally Responsible")}
			},
			defValue  = 0,
			wCtrl     = 150,
		},
		{ id = "Remove doors",			control = 'checkbox',	label = _('Remove Doors'), boolean_inverted = false, defValue = true, weightWhenOn = -3.6, arg=38 },
		{ id = "PDU",					control = 'checkbox',	label = _('Install Pilot Display Unit'), boolean_inverted = false, defValue = false, weightWhenOn = 5.0, arg=902 },
		{ id = "AllowHidePDU", 			control = 'checkbox' , label = _('Allow Hiding Pilot Display Unit'), boolean_inverted = false, defValue = true, arg=0, playerOnly = true},
		{ id = "Rifles",				control = 'checkbox',	label = _('Equip Personal Weapons'), boolean_inverted = false, defValue = true, arg=1001, playerOnly = true },
		{ id = "MMS removal",			control = 'checkbox',	label = _('Remove Mast Mounted Sight'), boolean_inverted = false, defValue = false, weightWhenOn = -122.47, arg=850 },
		{ id = "Rapid Deployment Gear",	control = 'checkbox',	label = _('Rapid Deployment Gear'), boolean_inverted = false, defValue = false, arg=851 },
		{ id = "ALQ144",				control = 'checkbox',	label = _('Install AN/ALQ-144 IRCM'), boolean_inverted = false, defValue = false, weightWhenOn = -12.7, arg=852 },
		{ id = "importDrawings",		control = 'checkbox',	label = _('Import Editor Drawings'), boolean_inverted = false, defValue = true, arg=0, playerOnly = true },
		{ id = "tacNet",				control = 'spinbox',	label = _('IDM Net'), defValue = 1, min = 1, max = 20, dimension = ' ' },
	},-- boolean_inverted = true by default: element present - argVal=0, absent - argVal=1

	input_profile_entry = "OH-58D Pilot",

	InheriteCommonCallnames = false,
	SpecificCallnames =
	{
		["USA"] =
		{
			{_('Anvil'),			'Anvil'},
			{_('Azrael'),			'Azrael'},
			{_('Bam-Bam'),			'Bam-Bam'},
			{_('Blackjack'),		'Blackjack'},
			{_('Bootleg'),			'Bootleg'},
			{_('Burnin\' Stogie'),	'Burnin_Stogie'},
			{_('Chaos'),			'Chaos'},
			{_('Crazyhorse'),		'Crazyhorse'},
			{_('Crusader'),			'Crusader'},
			{_('Darkhorse'),		'Darkhorse'},
			{_('Eagle'),			'Eagle'},
			{_('Lighthorse'),		'Lighthorse'},
			{_('Mustang'),			'Mustang'},
			{_('Outcast'),			'Outcast'},
			{_('Palehorse'),		'Palehorse'},
			{_('Pegasus'),			'Pegasus'},
			{_('Pistol'),			'Pistol'},
			{_('Roughneck'),		'Roughneck'},
			{_('Saber'),			'Saber'},
			{_('Shamus'),			'Shamus'},
			{_('Spur'),				'Spur'},
			{_('Stetson'),			'Stetson'},
			{_('Wrath'),			'Wrath'},
		}
	},

	rotor_animation =
	{
		tail_rotor =
		{
			blades_count	= 2,
			modelBlade_FBX	= "/models/oh58d_tailrotor_blade.fbx",
			rotor_direction	= 1,
			rotor_locations = {{POSITION_WILL_BE_TAKEN_FROM_CONNECTOR}},
		},
		--main rotor
		rotor_locations = {{POSITION_WILL_BE_TAKEN_FROM_CONNECTOR}},
		rotor_models =
		{{
			modelRotorHub_EDM  		= "oh58d_rotor_hub",
			modelRotorHubLod_FBX 	= "/models/oh58d_rotor_hub_lod.fbx",
			boundRotorHub_FBX		= "/models/oh58d_rotor_hub_bound.fbx",
			boundBlade_FBX			= "/models/oh58d_rotor_blade_bound.fbx",
			modelBlade_FBX 			=
			{
				"/models/oh58d_rotor_blade.fbx", "/models/oh58d_rotor_blade_dmg.fbx",
			}
		}}
	}
}

add_aircraft(OH58D)
